Package org.jboss.resteasy.plugins.delegates

## Class NewCookieHeaderDelegate

- java.lang.Object
- - org.jboss.resteasy.plugins.delegates.NewCookieHeaderDelegate

- All Implemented Interfaces:
    `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.NewCookie>`

      public class NewCookieHeaderDelegate
      extends Object
      implements javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.NewCookie>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static NewCookieHeaderDelegate` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewCookieHeaderDelegate()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.NewCookie` | `fromString​(String newCookie)` |
    `protected void` | `quote​(StringBuilder b, String value)` |
    `String` | `toString​(javax.ws.rs.core.NewCookie cookie)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NewCookieHeaderDelegate INSTANCE

  - ### Constructor Detail

    - #### NewCookieHeaderDelegate

          public NewCookieHeaderDelegate()

  - ### Method Detail

    - #### fromString

          public javax.ws.rs.core.NewCookie fromString​(String newCookie)
                                                throws IllegalArgumentException

      Specified by:
        `fromString` in interface `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.NewCookie>`
      Throws:
        `IllegalArgumentException`

    - #### quote

          protected void quote​(StringBuilder b,
                               String value)

    - #### toString

          public String toString​(javax.ws.rs.core.NewCookie cookie)

      Specified by:
        `toString` in interface `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.NewCookie>`